### Constructor

# Gio Subprocess newv

since: 2.40

#### Declaration [src]

    GSubprocess*
    g_subprocess_newv (
      const gchar* const* argv,
      GSubprocessFlags flags,
      GError** error
    )

#### Description [src]

Create a new process with the given flags and argument list.

The argument list is expected to be `NULL`-terminated.

Available since: 2.40

This constructor is renamed to `()` in language bindings.

#### Parameters

`argv`

  Type: An array of `filename`

  Commandline arguments for the subprocess.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`flags`

  Type: `GSubprocessFlags`

  Flags that define the behaviour of the subprocess.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GSubprocess`

A newly created `GSubprocess`, or `NULL` on error (and `error` will be set).

The caller of the function takes ownership of the data, and is responsible for freeing it.